## NAME

pg.in.dbf - Imports a dBase table into PostgreSQL. (GRASS-RDBMS Interface import Program)

## SYNOPSIS

pg.in.dbf
pg.in.dbf help
pg.in.dbf input=name [dumpmode=name]

## DESCRIPTION

pg.in.dbf imports a dBase database table into PostgreSQL for later use with GRASS-RDBMS modules.

You can also choose to dump data from the dbf file into text format file for further use. In such case,
you should type in the full Unix path to the new text file location when prompted.

The program can run in two modes: 'admin' is when the GRASS user has a superuser account in Postgres,
'normal' - when the Postgres user is normal (not administrator). You should choose the mode adequately.
In the latter case, large files can take much time to import (as each line would be inserted separately).

## COMMAND LINE OPTIONS

### Parameters:

input=name
  Name of .dbf file to be imported (example: 'simple.dbf'
dumpmode=name
  Admin/normal user dump mode (Default = Postgres super-user)

## BUGS

None known.

## NOTE

This program requires the Postgres database software.

## SEE ALSO

g.column.pg, g.select.pg, g.stats.pg, g.table.pg, d.site.pg, d.vect.pg, d.what.r.pg, d.what.s.pg, d.what.v.pg, r.reclass.pg, r.rescale.pg, v.reclass.pg

## AUTHOR

Alex Shevlakov (sixote@yahoo.com)